org.jfree.graphics2d.svg

## Class SVGGraphicsDevice

- java.lang.Object
- - java.awt.GraphicsDevice
  - - org.jfree.graphics2d.svg.SVGGraphicsDevice

-     public class SVGGraphicsDevice
      extends java.awt.GraphicsDevice

  A graphics device for JFreeSVG.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.GraphicsDevice

      `java.awt.GraphicsDevice.WindowTranslucency`

  - ### Field Summary

    - ### Fields inherited from class java.awt.GraphicsDevice

      `TYPE_IMAGE_BUFFER, TYPE_PRINTER, TYPE_RASTER_SCREEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVGGraphicsDevice(java.lang.String id, java.awt.GraphicsConfiguration defaultConfig)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.GraphicsConfiguration[]` | `getConfigurations()` Returns all configurations for this device.
    `java.awt.GraphicsConfiguration` | `getDefaultConfiguration()` Returns the default configuration for this device.
    `java.lang.String` | `getIDstring()` Returns the id string.
    `int` | `getType()` Returns the device type.

    - ### Methods inherited from class java.awt.GraphicsDevice

      `getAvailableAcceleratedMemory, getBestConfiguration, getDisplayMode, getDisplayModes, getFullScreenWindow, isDisplayChangeSupported, isFullScreenSupported, isWindowTranslucencySupported, setDisplayMode, setFullScreenWindow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGGraphicsDevice

          public SVGGraphicsDevice(java.lang.String id,
                                   java.awt.GraphicsConfiguration defaultConfig)

      Creates a new instance.
      Parameters:
        `id` - the id.
        `defaultConfig` - the default configuration.

  - ### Method Detail

    - #### getType

          public int getType()

      Returns the device type.
      Specified by:
        `getType` in class `java.awt.GraphicsDevice`
      Returns:
        The device type.

    - #### getIDstring

          public java.lang.String getIDstring()

      Returns the id string.
      Specified by:
        `getIDstring` in class `java.awt.GraphicsDevice`
      Returns:
        The id string.

    - #### getConfigurations

          public java.awt.GraphicsConfiguration[] getConfigurations()

      Returns all configurations for this device.
      Specified by:
        `getConfigurations` in class `java.awt.GraphicsDevice`
      Returns:
        All configurations for this device.

    - #### getDefaultConfiguration

          public java.awt.GraphicsConfiguration getDefaultConfiguration()

      Returns the default configuration for this device.
      Specified by:
        `getDefaultConfiguration` in class `java.awt.GraphicsDevice`
      Returns:
        The default configuration for this device.